[postgis-tickets] [SCM] PostGIS branch master updated. 3.3.0alpha1-49-gc31450b64
git at osgeo.org
git at osgeo.org
Tue Jun 14 15:46:45 PDT 2022
This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "PostGIS".
The branch, master has been updated
via c31450b6430f651817c2e15c7aba1454a58aa6f3 (commit)
via 2de0f05bfb8939712e682d33faf7bca4df0e43fe (commit)
via c66b78eaea4d4f2eba3b79b64349577ffe8b6b1e (commit)
from b27234075727f27935d12de474618c5c55922225 (commit)
Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.
- Log -----------------------------------------------------------------
commit c31450b6430f651817c2e15c7aba1454a58aa6f3
Author: Regina Obe <lr at pcorp.us>
Date: Tue Jun 14 18:46:34 2022 -0400
Turn off upgrading on debbie. Turn on on berrie64. Minor cleanup of scripts
diff --git a/ci/berrie64/postgis_regress.sh b/ci/berrie64/postgis_regress.sh
index 5fddfac4d..f29c58752 100644
--- a/ci/berrie64/postgis_regress.sh
+++ b/ci/berrie64/postgis_regress.sh
@@ -21,12 +21,23 @@ make
export err_status=0
make check RUNTESTFLAGS="-v"
make install
+
make check RUNTESTFLAGS="-v --extension"
-err_status=$?
+if [ "$?" != "0" ]; then
+ err_status=$?
+fi
-#make garden
-#err_status=$?
+make garden
+if [ "$?" != "0" ]; then
+ err_status=$?
+fi
+
+utils/check_all_upgrades.sh \
+ `grep '^POSTGIS_' Version.config | cut -d= -f2 | paste -sd '.'`
+ if [ "$?" != "0" ]; then
+ err_status=$?
+ fi
if [ -d $PGDATA/postmaster.pid ] ; then
diff --git a/ci/debbie/postgis_regress.sh b/ci/debbie/postgis_regress.sh
index d21e2eafe..15191236e 100644
--- a/ci/debbie/postgis_regress.sh
+++ b/ci/debbie/postgis_regress.sh
@@ -118,8 +118,10 @@ fi
# Test all available upgrades
# TODO: protect via some variable ?
-utils/check_all_upgrades.sh \
+if [ "$MAKE_UPGRADE" = "1" ]; then
+ utils/check_all_upgrades.sh \
`grep '^POSTGIS_' Version.config | cut -d= -f2 | paste -sd '.'`
-if [ "$?" != "0" ]; then
+ if [ "$?" != "0" ]; then
exit $?
+ fi
fi
commit 2de0f05bfb8939712e682d33faf7bca4df0e43fe
Author: Regina Obe <lr at pcorp.us>
Date: Tue Jun 14 18:40:49 2022 -0400
Allow upgrade of tiger structure. Put in notes. References #5039 for PostGIS 3.3.0
diff --git a/NEWS b/NEWS
index 4a03f6cc7..046a24fcd 100644
--- a/NEWS
+++ b/NEWS
@@ -7,10 +7,11 @@ Changes since PostGIS 3.3.0alpha1
control number of rows per copy statement (Regina Obe)
- #4939, #5161, ST_LineMerge now has option to keep the directions of input linestrings,
useful when processing road graphs. Requires GEOS 3.11. (Sergei Shoulbakov)
+ - #5039, postgis_tiger_geocoder TIGER 2021 (Regina Obe)
* New features *
- #5169, ST_SimplifyPolygonHull (requires GEOS 3.11)
- (Paul Ramsey, Martin Davis)
+ (Paul Ramsey, Martin Davis)
PostGIS 3.3.0alpha1
diff --git a/extensions/postgis_tiger_geocoder/Makefile.in b/extensions/postgis_tiger_geocoder/Makefile.in
index 83993845f..8df3730e4 100644
--- a/extensions/postgis_tiger_geocoder/Makefile.in
+++ b/extensions/postgis_tiger_geocoder/Makefile.in
@@ -194,9 +194,7 @@ sql/$(EXTENSION)--unpackaged--$(EXTVERSION).sql: sql_bits/tiger_geocoder--unpack
#they can be dropped but we need to remove
#them from the extension first
sql/tiger_geocoder_upgrade_minor.sql: sql/tiger_geocoder_minor.sql.in | sql
- sed -e '/^\(CREATE\|ALTER\) \(CAST\|TYPE\|TABLE\|SCHEMA\|DOMAIN\|TRIGGER\).*;/d' \
- -e '/^\(CREATE\|ALTER\) \(CAST\|TYPE\|TABLE\|SCHEMA\|DOMAIN\|TRIGGER\)/,/\;/d' \
- -e 's/BEGIN;//g' -e 's/COMMIT;//g' \
+ sed -e 's/BEGIN;//g' -e 's/COMMIT;//g' \
$< > $@
EXTDIR=$(DESTDIR)$(datadir)/$(datamoduledir)
commit c66b78eaea4d4f2eba3b79b64349577ffe8b6b1e
Author: Regina Obe <lr at pcorp.us>
Date: Tue Jun 14 17:23:00 2022 -0400
Change signature
diff --git a/extras/tiger_geocoder/utility/set_search_path.sql b/extras/tiger_geocoder/utility/set_search_path.sql
index 19d2f9523..f3eee2f18 100644
--- a/extras/tiger_geocoder/utility/set_search_path.sql
+++ b/extras/tiger_geocoder/utility/set_search_path.sql
@@ -5,7 +5,8 @@
-- Adds a schema to the front of search path so that functions, tables etc get installed by default in set schema
-- but if people have postgis and other things installed in non-public, it will still keep those in path
-- Example usage: SELECT tiger.SetSearchPathForInstall('tiger');
-CREATE OR REPLACE FUNCTION tiger.SetSearchPathForInstall(a_schema_name varchar)
+DROP FUNCTION IF EXISTS tiger.SetSearchPathForInstall(varchar);
+CREATE OR REPLACE FUNCTION tiger.SetSearchPathForInstall(a_schema_name text)
RETURNS text
AS
$$
-----------------------------------------------------------------------
Summary of changes:
NEWS | 3 ++-
ci/berrie64/postgis_regress.sh | 17 ++++++++++++++---
ci/debbie/postgis_regress.sh | 6 ++++--
extensions/postgis_tiger_geocoder/Makefile.in | 4 +---
extras/tiger_geocoder/utility/set_search_path.sql | 3 ++-
5 files changed, 23 insertions(+), 10 deletions(-)
hooks/post-receive
--
PostGIS
More information about the postgis-tickets
mailing list